Get knowledge source

Get knowledge source. See the OpenAPI-defined parameters, request body, and responses below.

GET /Knowledge/{id}

Get knowledge source. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna os detalhes de um conhecimento de agente especificado pelo identificador.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Knowledge/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar o conhecimentoapplication/json · KnowledgeDto

Example response (200):

{
  "id": 0,
  "name": "string",
  "content": "string",
  "groupIds": [
    0
  ]
}

Data models

KnowledgeDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
contentstringNo—nullable
groupIdsarray<integer · int32>No—nullable